Subject: Re: bug#33134: [PATCH 0/1] guix-install.sh: Add ability to run it non-interactively.
From: Maxim Cournoyer <[email-masked]>
To: rsiddharth <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Jul 2021 08:01:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

rsiddharth <[email-masked]> writes:

> I want to be able to run the guix-install.sh non-interactively[1] like this:
>
>    echo "yy" | guix-install.sh
>
>    (One "y" for "Press return to continue..." prompt, the other "y" for
>    "Permit downloading pre-built package binaries from the project's build
>    farms? (yes/no)" prompt).
>
> Currently, the `read` in welcome function reads both the "y". I updated it to
> read just one character.
>
> [1]: https://git.ricketyspace.net/propellor/tree/config.hs?id=0cddd47ef#n640
>
> rsiddharth (1):
>   guix-install.sh: Update welcome.
>
>  etc/guix-install.sh | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)

The guix-install.sh saw some imrovements in v1.3.0 that makes it support
the non-interactive 'yes | sudo ./guix-install.sh' use case.  I think it
obsoletes this patch.

Closing, but feel free to send a new patch series if I missed anything.

Thank you,

Maxim